[arch-commits] CVS update of unstable/modules/fglrx (PKGBUILD fglrx.install)

Travis Willard travis at archlinux.org
Fri Sep 14 11:40:45 UTC 2007


    Date: Friday, September 14, 2007 @ 07:40:45
  Author: travis
    Path: /home/cvs-unstable/unstable/modules/fglrx

   Added: PKGBUILD (1.1) fglrx.install (1.1)

upgpkg: fglrx 8.41.7-1
Uploading unstable 8.41.7 drivers


---------------+
 PKGBUILD      |   56 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 fglrx.install |   35 +++++++++++++++++++++++++++++++++++
 2 files changed, 91 insertions(+)


Index: unstable/modules/fglrx/PKGBUILD
diff -u /dev/null unstable/modules/fglrx/PKGBUILD:1.1
--- /dev/null	Fri Sep 14 07:40:45 2007
+++ unstable/modules/fglrx/PKGBUILD	Fri Sep 14 07:40:45 2007
@@ -0,0 +1,56 @@
+# $Id: PKGBUILD,v 1.1 2007/09/14 11:40:45 travis Exp $
+# Maintainer: Travis Willard <travisw at wmpub.ca>
+# Contributor: amdviaman
+
+pkgname=fglrx
+pkgver=8.41.7
+_kernel_version=2.6.22
+pkgrel=1
+pkgdesc="Proprietary AMD/ATI kernel drivers for Radeon brand cards. Stock kernel."
+arch=('i686' 'x86_64')
+url="http://www.ati.amd.com"
+#license provided by fglrx-utils package
+license=('custom:"fglrx"') 
+depends=("fglrx-utils>=${pkgver}" "kernel26>=${_kernel_version}")
+makedepends=()
+replaces=('ati-fglrx')
+install=${pkgname}.install
+source=(http://www2.ati.com/drivers/linux/ati-driver-installer-$pkgver-x86.x86_64.run)
+md5sums=('0b43b45499ced87a6bd30d99faed25cc')
+sha1sums=('fe556f3ffc6517586809278d8295ca254faefbf0')
+
+_kernver=${_kernel_version}-ARCH
+
+build() {
+    cd $startdir/src
+
+    [ "$CARCH" = "i686" ] && _arch="x86"
+    [ "$CARCH" = "x86_64" ] && _arch="x86_64"
+
+    chmod a+x ati-driver-installer-$pkgver-x86.x86_64.run
+    ./ati-driver-installer-$pkgver-x86.x86_64.run --extract archive_files
+
+
+    cp $startdir/src/archive_files/arch/${_arch}/* $startdir/src/ -r 
+    cp $startdir/src/archive_files/common/* $startdir/src/ -r 
+
+    if [ "$CARCH" == "x86_64" ]; then
+      cp $startdir/src/archive_files/x710_64a/* $startdir/src/ -r
+    else
+      cp $startdir/src/archive_files/x710/* $startdir/src/ -r
+    fi
+    cd $startdir/src
+    cd $startdir/src/lib/modules/fglrx/build_mod/
+
+    # Build the kernel module
+    cp 2.6.x/Makefile .
+    make -C /lib/modules/${_kernver}/build SUBDIRS="`pwd`" modules || return 1
+
+    # Install the kernel module
+    install -m 644 -D $startdir/src/lib/modules/fglrx/build_mod/fglrx.ko \
+        $startdir/pkg/lib/modules/${_kernver}/video/fglrx.ko
+
+    sed -i -e "s/KERNEL_VERSION=.*/KERNEL_VERSION=${_kernver}/g" $startdir/$install
+
+}
+
Index: unstable/modules/fglrx/fglrx.install
diff -u /dev/null unstable/modules/fglrx/fglrx.install:1.1
--- /dev/null	Fri Sep 14 07:40:45 2007
+++ unstable/modules/fglrx/fglrx.install	Fri Sep 14 07:40:45 2007
@@ -0,0 +1,35 @@
+# This is a default template for a post-install scriptlet.  You can
+# remove any functions you don't need (and this header).
+
+# arg 1:  the new package version
+pre_install() {
+  /bin/true
+}
+
+# arg 1:  the new package version
+post_install() {
+  echo "PLEASE NOTE:"
+  echo "--------------------------------------------------------------"
+  echo "You can use the tool 'aticonfig' to generate an xorg.conf file."
+  echo "Remember to add fglrx to the MODULES list in /etc/rc.conf."
+  echo "--------------------------------------------------------------"
+  KERNEL_VERSION=2.6.22-ARCH
+  depmod -v $KERNEL_VERSION > /dev/null 2>&1
+}
+
+# arg 1:  the new package version
+# arg 2:  the old package version
+post_upgrade() {
+  KERNEL_VERSION=2.6.22-ARCH
+  depmod -v $KERNEL_VERSION > /dev/null 2>&1
+}
+
+# arg 1:  the old package version
+post_remove() {
+  KERNEL_VERSION=2.6.22-ARCH
+  depmod -v $KERNEL_VERSION > /dev/null 2>&1
+}
+
+op=$1
+shift
+$op $*




More information about the arch-commits mailing list